
Bugs - Bug #8

misconversion of single-table REPEAT/DO for FIRST/LAST/UNIQUE

10/03/2011 12:00 PM - Stanislav Lomany

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/24/2011 12:51 PM - Stanislav Lomany

@45265 - testcase:

def temp-table tt1 field f1 as integer.

    create tt1. f1 = 1.

    create tt1. f1 = 2.

    repeat preselect first tt1:

      find next tt1.

      if avail tt1 then message "test2".

      else leave.

    end.

#2 - 10/03/2011 11:03 PM - Stanislav Lomany

@45111 - issue description:

Single-table REPEAT/DO for the FIRST/LAST/UNIQUE component. Mistakenly converted in the same way as EACH compo

nent (i.e. provides multiple resulting records).

#3 - 10/17/2011 03:41 PM - Redmine Admin

@45126 - Status changed from WIP to Hold

#4 - 04/12/2012 11:23 AM - Stanislav Lomany
TASKID      = 6101

PROJECTID   = 124

STATUS      = 3 (Hold)

DESCRIPTION = misconversion of single-table REPEAT/DO for FIRST/LAST/UNIQUE

OWNER       = SVL

ASSIGNEE    = 

BILLABLE    = false

PRIORITY    = 5 (Normal)

PHASE       = 52 (Problem Resolution)

COMPONENT   = 97

ESTEFFORT   = 0.000000

ESTSTART    = 2011-10-03

ESTSTOP     = 

ACTSTOP     = 

CASENUM     = 

VENDORID    = 

COMMENT     = ''

LASTWIP     = 2011-10-17
